class_name DamageableBody
extends CharacterBody3D

@warning_ignore("unused_parameter")
func deal_damage(delta: float) -> void:
	pass  # Implemented in derived type


@warning_ignore("unused_parameter")
func deal_heat(delta: float) -> void:
	pass  # Implemented in derived type


@warning_ignore("unused_parameter")
func deal_structure(delta: int) -> void:
	pass  # Implemented in derived type
